[AI32-3]Download technical disclosure document
This interface provides a download link to the Technical Submission document based on the Task ID of the generated Technical Submission.
1. The technical submission only supports the word version to download
2. The download link of the submission document is valid for 7 days, please export it in time, it will be invalid after the expiration date.
3. You can only check the download status of one exported task at a time
Request Parameters
List of parameters supported by this API endpoint
| Name | Type | Example | Description |
|---|---|---|---|
Required | string | fc3fede2-af3d-4df2-bcf0-e4125178d379 | Job ID
You can obtain the corresponding ID through the [AI32-2] interface. |
Response Schema
Structure of the API response data
| Field Name | Type | Example | Description |
|---|---|---|---|
data | object | - | response data |
job_id | string | fc3fede2-af3d-4df2-bcf0-e4125178d379 | Export Task ID |
job_status | integer<int32> | 1 | Export Status (0: Pending export, 1: Exporting, 2: Export successful, 3: Report generation exception) |
download_url | string | http://downloadurl | File download link (returned when export status is successful) |
statusRequired | boolean | false | Status |
error_msg | string | The request parameter format is incorrect! | Error Message |
error_codeRequired | integer | 0 | Error Code |
Success Response Example
Example of a successful API response
JSON
{
"data": {
"job_id": "fc3fede2-af3d-4df2-bcf0-e4125178d379",
"job_status": 1,
"download_url": "http://downloadurl"
},
"status": true,
"error_code": 0
}Error Codes
List of possible error codes returned by this endpoint
Business Errors
| Error Code | Description |
|---|---|
68300004 | Invalid parameter! |
68300005 | Search api failure! |
68300006 | Analytic basic access error! |
68300007 | Bad request! |
68300008 | Service error, please try again later! |
68300010 | The file does not comply with upload specifications! |
Platform Errors
| Error Code | Description |
|---|---|
67200000 | API call exceeds the total limit set by the platform! |
67200001 | API call exceeds the total limit set by the platform! |
67200002 | The current call rate is too fast, exceeding the current configuration limit QPS! |
67200003 | The key and secret parameters for applying for the token are incorrect or the client has been disabled! |
67200004 | The requested api does not have permission. Please contact our support personnel! |
67200005 | Insufficient account balance/number of calls! |
67200006 | The client has exceeded the activation validity period! |
67200007 | The current call exceeds the configured usage limit of the day! |
67200008 | Please check if the required apikey in the query parameter has been transmitted! |
67200009 | The apikey does not match the passed bearerToken. Please check if a valid token is being used! |
67200012 | The request is illegal! |
67200100 | The current server status is busy, request response timeout! |
67200101 | The API requested currently does not exist. Please check the request path! |
HTTP Status Codes
| Status Code | Description |
|---|---|
0 | Success |
201 | Created |
401 | Unauthorized |
403 | Forbidden |
404 | Not Found |
Performance Metrics
Expected performance characteristics for this endpoint
Normal Response Time
5000 ms
Max Response Time
10000 ms